Ticket #215 (closed Defect: worksforme)

Opened 6 years ago

Last modified 6 years ago

XML Extentions

Reported by: john.garmley@… Owned by:
Priority: normal Milestone:
Component: Other Version: 1.0b6.3
Keywords: Cc:

Description

Currently i have .mp4 files saved on a USB Hard drive. I ran the movie mediaData retrieval and that works fine. Some movies did not get picked up and i have made an XML file and it doesn't pull the information from the file. I run the all import data function and it doesn't go past the first movie and deosn't retrieve any info. Is there certain steps in what im missing. I have checked all Tickets and cant seem to get this issue resolved. Also how do I find out what version of Sapphire is running on my AppleTV........

Change History

comment:1 in reply to: ↑ description ; follow-up: ↓ 2 Changed 6 years ago by gbooker

Replying to john.garmley@windstream.net:

i have made an XML file and it doesn't pull the information from the file.

Can you provide an example of such a file that it seemingly ignores? If you navigate to the file on the filesystem, does it not show any movie info?

I run the all import data function and it doesn't go past the first movie and deosn't retrieve any info.

Do you mean it freezes?

Also how do I find out what version of Sapphire is running on my AppleTV........

/System/Library/CoreServices/Finder?.app/Contents/PlugIns/Sapphire.frappliance/Contents/Info.plist contains the version number.

comment:2 in reply to: ↑ 1 ; follow-up: ↓ 3 Changed 6 years ago by anonymous

Replying to gbooker:

Replying to john.garmley@windstream.net:

i have made an XML file and it doesn't pull the information from the file.

Can you provide an example of such a file that it seemingly ignores?

Example of XML saved as FILENAME.XML [SAME AS NAME MOVE FILENAME.MP4]

<plist version="1.0"><media>

<title>Little Eistiens: Our Big Huge Adventure</title> <summary>In OUR [BIG] HUGE ADVENTURE, Leo, June, Quincy, Annie, Rocket, and your child will blast off on their first whirlwind adventure that will take the team over Niagara Falls, inside a spooky cave in Oklahoma, and finally to the amazing butterfly forest in Mexico.</summary> <description>Description of Media</description> <publisher>Walt Disney Hime Entertainment</publisher> <composer>Walt Disney Hime Entertainment</composer> <copyright>Walt Disney Entertainment</copyright> <userStarRating>6.2</userStarRating> <rating>NOT RATED</rating> <published>2005-23-08</published> <genres>

<genre primary="true">Animation</genre> <genre>Adventure</genre> <genre>Family</genre> <genre>Fantasy</genre>

</genres> <cast>

<name>Natalia Wojcik</name> <name>Jesse Schwartz</name> <name>Aiden Pompy</name> <name>Erica Huang</name>

</cast> <producers>

<name>Walt Disney Hime Entertainment</name>

</producers>

</media>

If you navigate to the file on the filesystem, does it not show any movie info?

No Movie Info is shown just FILENAME.MP4

I run the all import data function and it doesn't go past the first movie and deosn't retrieve any info.

Do you mean it freezes?

The unit doesn't freeze but the retrieval process does. i can return to the previous menu without restarted the unit

Also how do I find out what version of Sapphire is running on my AppleTV........

/System/Library/CoreServices/Finder?.app/Contents/PlugIns/Sapphire.frappliance/Contents/Info.plist contains the version number.

comment:3 in reply to: ↑ 2 ; follow-up: ↓ 4 Changed 6 years ago by gbooker

Replying to anonymous:

<plist version="1.0"><media>

Plist?!?!?!?!? That tag shouldn't be there; otherwise appears valid: http://appletv.nanopi.net/manual/overriding-metadata/

The unit doesn't freeze but the retrieval process does.

Anything in the logs? BugReporting

comment:4 in reply to: ↑ 3 ; follow-up: ↓ 5 Changed 6 years ago by anonymous

Replying to gbooker:

Replying to anonymous:

<plist version="1.0"><media>

Plist?!?!?!?!? That tag shouldn't be there; otherwise appears valid: http://appletv.nanopi.net/manual/overriding-metadata/

The unit doesn't freeze but the retrieval process does.

Anything in the logs? BugReporting

comment:5 in reply to: ↑ 4 Changed 6 years ago by anonymous

Replying to anonymous:

Replying to gbooker:

Replying to anonymous:

<plist version="1.0"><media>

Plist?!?!?!?!? That tag shouldn't be there; otherwise appears valid: http://appletv.nanopi.net/manual/overriding-metadata/

The unit doesn't freeze but the retrieval process does.

Anything in the logs? BugReporting

Host Name: AppleTV Date/Time?: 2008-08-15 01:44:53.212 +0000 OS Version: 10.4.7 (Build 8N5519) Report Version: 4

Command: Finder Path: /System/Library/CoreServices/Finder?.app/Contents/MacOS/Finder Parent: WindowServer? [91]

Version: 2.1 (2.1) Build Version: 2 Project Name: Riptide2 Source Version: 2270000

PID: 107 Thread: 0

Exception: EXC_BAD_ACCESS (0x0001) Codes: KERN_PROTECTION_FAILURE (0x0002) at 0x00000020

Thread 0 Crashed: 0 libobjc.A.dylib 0x90ac33e0 objc_msgSend + 16 1 com.apple.CoreFoundation? 0x9088296a _CFStringAppendFormatAndArgumentsAux + 5639 2 com.apple.CoreFoundation? 0x9088125c _CFStringCreateWithFormatAndArgumentsAux + 122 3 com.apple.Foundation 0x924d4f41 -[NSPlaceholderString initWithFormat:locale:arguments:] + 162 4 com.apple.Foundation 0x924d4e85 +[NSString stringWithFormat:] + 87 5 ...appliance.awkwardtv.nitoTV2 0x0d8ebc26 -[nitoNetworkController _errorWithMessage:] + 99 6 ...appliance.awkwardtv.nitoTV2 0x0d8ec30b -[nitoNetworkController mountManualPointWithDictionary:] + 1316 7 com.apple.Foundation 0x924e4ee7 _nsnote_callback + 230 8 com.apple.CoreFoundation? 0x908b6536 CFXNotificationPost + 345 9 com.apple.CoreFoundation? 0x908b63d2 _CFXNotificationPostNotification + 645 10 com.apple.Foundation 0x924e01cc -[NSNotificationCenter postNotificationName:object:userInfo:] + 121 11 com.apple.Foundation 0x924e014d -[NSNotificationCenter postNotificationName:object:] + 55 12 com.apple.frontrow.backrow 0x9e3637e0 -[BRListControl(ScrollControl?) _selectCurrentItem] + 71 13 com.apple.frontrow.backrow 0x9e362d8f -[BRListControl brEventAction:] + 221 14 com.apple.frontrow.backrow 0x9e362a1b -[BRControl brEventAction:] + 58 15 com.apple.frontrow.backrow 0x9e362a1b -[BRControl brEventAction:] + 58 16 com.apple.frontrow.backrow 0x9e3642f6 -[BRControllerStack brEventAction:] + 57 17 com.apple.frontrow.backrow 0x9e362a1b -[BRControl brEventAction:] + 58 18 com.apple.frontrow 0x000c4c2c 0x1000 + 801836 19 ...le.frontrow.backrowhardware 0x9e52fba2 -[BREventManager(EventHandling?) _handler] + 532 20 ...le.frontrow.backrowhardware 0x9e52f2c0 _handler + 33 21 com.apple.CoreFoundation? 0x908bf215 CFRunLoopRunSpecific + 1213 22 com.apple.frontrow.backrow 0x9e343e8f -[BRAppManager run] + 1508 23 com.apple.frontrow 0x00005c7f 0x1000 + 19583 24 com.apple.frontrow 0x0019929e 0x1000 + 1671838 25 com.apple.frontrow 0x001991c5 0x1000 + 1671621

Thread 1: 0 libSystem.B.dylib 0x90009eb7 mach_msg_trap + 7 1 com.apple.CoreFoundation? 0x908bf536 CFRunLoopRunSpecific + 2014 2 com.apple.CoreFoundation? 0x908d1e2b CFRunLoopRun + 60 3 ...le.frontrow.backrowhardware 0x9e532877 -[BRDisplayManagerCore(DisplayNotificationsPrivate?) _windowServerCallbackHandler] + 323 4 com.apple.Foundation 0x924f22c8 forkThreadForFunction + 123 5 libSystem.B.dylib 0x900243e7 _pthread_body + 84

Thread 2: 0 libSystem.B.dylib 0x90009eb7 mach_msg_trap + 7 1 com.apple.CoreFoundation? 0x908bf536 CFRunLoopRunSpecific + 2014 2 com.apple.CoreFoundation? 0x908bed51 CFRunLoopRunInMode + 61 3 com.apple.audio.CoreAudio? 0x914006a6 HALRunLoop::OwnThread?(void*) + 158 4 com.apple.audio.CoreAudio? 0x914004c1 CAPThread::Entry(CAPThread*) + 93 5 libSystem.B.dylib 0x900243e7 _pthread_body + 84

Thread 3: 0 libSystem.B.dylib 0x90009eb7 mach_msg_trap + 7 1 com.apple.CoreFoundation? 0x908bf536 CFRunLoopRunSpecific + 2014 2 com.apple.CoreFoundation? 0x908d1e2b CFRunLoopRun + 60 3 ...ickTimeComponents.component 0x97fa6e6c AMFDRMHelper_ComponentDispatch + 12318 4 libSystem.B.dylib 0x900243e7 _pthread_body + 84

Thread 4: 0 libSystem.B.dylib 0x90049177 semaphore_timedwait_signal_trap + 7 1 com.apple.CoreVideo? 0x9e23c2d3 CVDisplayLink::waitUntil(unsigned long long) + 481 2 com.apple.CoreVideo? 0x9e23cd89 CVDisplayLink::runIOThread() + 931 3 libSystem.B.dylib 0x900243e7 _pthread_body + 84

Thread 5: 0 libSystem.B.dylib 0x9002a10c wait4 + 12 1 libSystem.B.dylib 0x900243e7 _pthread_body + 84

Thread 6: 0 libSystem.B.dylib 0x90024a87 semaphore_wait_signal_trap + 7 1 com.apple.frontrow 0x0001e1d7 0x1000 + 119255 2 com.apple.frontrow 0x0001d7cc 0x1000 + 116684 3 libSystem.B.dylib 0x900243e7 _pthread_body + 84

Thread 7: 0 libSystem.B.dylib 0x9001a39c select + 12 1 libSystem.B.dylib 0x900243e7 _pthread_body + 84

Thread 8: 0 libSystem.B.dylib 0x90009eb7 mach_msg_trap + 7 1 com.apple.CoreFoundation? 0x908bf536 CFRunLoopRunSpecific + 2014 2 com.apple.CoreFoundation? 0x908bed51 CFRunLoopRunInMode + 61 3 com.apple.Foundation 0x9254ba9a -[NSRunLoop runMode:beforeDate:] + 182 4 com.apple.Foundation 0x9254b9d6 -[NSRunLoop run] + 75 5 com.apple.frontrow.backrow 0x9e350997 -[BRURLDocumentManager(private) _loadDocuments] + 155 6 com.apple.Foundation 0x924f22c8 forkThreadForFunction + 123 7 libSystem.B.dylib 0x900243e7 _pthread_body + 84

Thread 9: 0 libSystem.B.dylib 0x90009eb7 mach_msg_trap + 7 1 com.apple.CoreFoundation? 0x908bf536 CFRunLoopRunSpecific + 2014 2 com.apple.CoreFoundation? 0x908bed51 CFRunLoopRunInMode + 61 3 com.apple.Foundation 0x924f7a41 +[NSURLConnection(NSURLConnectionInternal) _resourceLoadLoop:] + 259 4 com.apple.Foundation 0x924f22c8 forkThreadForFunction + 123 5 libSystem.B.dylib 0x900243e7 _pthread_body + 84

Thread 10: 0 libSystem.B.dylib 0x90009eb7 mach_msg_trap + 7 1 com.apple.CoreFoundation? 0x908bf536 CFRunLoopRunSpecific + 2014 2 com.apple.CoreFoundation? 0x908bed51 CFRunLoopRunInMode + 61 3 com.apple.Foundation 0x924f9662 +[NSURLCache _diskCacheSyncLoop:] + 206 4 com.apple.Foundation 0x924f22c8 forkThreadForFunction + 123 5 libSystem.B.dylib 0x900243e7 _pthread_body + 84

Thread 11: 0 libSystem.B.dylib 0x90049177 semaphore_timedwait_signal_trap + 7 1 ...uickTimeStreaming.component 0x98de269d FigSemaphoreWaitRelative? + 275 2 ...uickTimeStreaming.component 0x98eaed1a NetworkReadSchedulerThreadEntryPoint? + 6637 3 libSystem.B.dylib 0x900243e7 _pthread_body + 84

Thread 12: 0 libSystem.B.dylib 0x90049177 semaphore_timedwait_signal_trap + 7 1 ...ple.CoreServices?.CarbonCore? 0x90d1af8f TSWaitOnSemaphoreCommon + 163 2 ...ickTimeComponents.component 0x97f4cc66 ReadSchedulerThreadEntryPoint? + 4723 3 libSystem.B.dylib 0x900243e7 _pthread_body + 84

Thread 13: 0 libSystem.B.dylib 0x90026f1c kevent + 12 1 com.apple.Foundation 0x924f22c8 forkThreadForFunction + 123 2 libSystem.B.dylib 0x900243e7 _pthread_body + 84

Thread 14: 0 libSystem.B.dylib 0x9004fe3c accept + 12 1 com.apple.frontrow 0x0006ebb3 0x1000 + 449459 2 com.apple.frontrow 0x0006eb33 0x1000 + 449331 3 libSystem.B.dylib 0x900243e7 _pthread_body + 84

Thread 0 crashed with X86 Thread State (32-bit):

eax: 0x00000000 ebx: 0x924d86e4 ecx: 0x90b2bfdc edx: 0x924d86d6 edi: 0x00000000 esi: 0x0c293000 ebp: 0xbfffe208 esp: 0xbfffe1d8

ss: 0x0000001f efl: 0x00010206 eip: 0x90ac33e0 cs: 0x00000017 ds: 0x0000001f es: 0x0000001f fs: 0x00000000 gs: 0x00000037

Binary Images Description:

0x1000 - 0x8c3fff com.apple.frontrow 2.1 /System/Library/CoreServices/Finder?.app/Contents/MacOS/Finder

0xcf3000 - 0xcf3fff com.apple.frontrow.appliance.Sapphire.LeopardCompatClasses? ??? (1.0) /System/Library/CoreServices/Finder?.app/Contents/PlugIns/ATVFiles.frappliance/Contents/Frameworks/SapphireLeopardCompatClasses.framework/SapphireLeopardCompatClasses 0xf2a000 - 0xf2ffff com.apple.audio.AppleHDAHALPlugIn 1.2.5 (1.2.5a14) /System/Library/Extensions?/AppleHDA.kext/Contents/PlugIns/AppleHDAHALPlugIn.bundle/Contents/MacOS/AppleHDAHALPlugIn

0x189a000 - 0x18b6fff GLDriver /System/Library/Frameworks?/OpenGL.framework/Versions/A/Resources/GLDriver.bundle/GLDriver 0x18bd000 - 0x18e1fff GLRendererFloat /System/Library/Frameworks?/OpenGL.framework/Versions/A/Resources/GLRendererFloat.bundle/GLRendererFloat 0x1a05000 - 0x1b5ffff GLEngine /System/Library/Frameworks?/OpenGL.framework/Resources/GLEngine.bundle/GLEngine 0x1b8b000 - 0x1cfdfff com.apple.GeForceFXGLDriver 1.4.60 (4.6.0) /System/Library/Extensions?/GeForceFXGLDriver.bundle/Contents/MacOS/GeForceFXGLDriver 0x1ecb000 - 0x1ecbfff com.apple.frontrow.appliance.Sapphire.TakeTwoCompatClasses? ??? (1.0) /System/Library/CoreServices/Finder?.app/Contents/PlugIns/ATVFiles.frappliance/Contents/Frameworks/SapphireTakeTwoCompatClasses.framework/SapphireTakeTwoCompatClasses 0x88a3000 - 0x88adfff com.apple.iokit.IOHIDLib 1.4.9 /System/Library/Extensions?/IOHIDFamily.kext/Contents/PlugIns/IOHIDLib.plugin/Contents/MacOS/IOHIDLib 0x8ab9000 - 0x8ba1fff com.apple.audio.codecs.Components 1.4.10 /System/Library/Components/AudioCodecs?.component/Contents/MacOS/AudioCodecs 0x8c09000 - 0x8e2efff org.perian.Perian 1.1 /Library/QuickTime/Perian?.component/Contents/MacOS/Perian 0x928f000 - 0x9294fff com.apple.frontrow.appliance.Sapphire.CompatClasses? ??? (1.0) /System/Library/CoreServices/Finder?.app/Contents/PlugIns/ATVFiles.frappliance/Contents/Frameworks/SapphireCompatClasses.framework/SapphireCompatClasses 0xa385000 - 0xa39efff com.apple.applepixletvideo 1.2.9 (1.2d9) /System/Library/QuickTime/ApplePixletVideo?.component/Contents/MacOS/ApplePixletVideo 0xccb9000 - 0xcccbfff AGRegex ??? (0.1) /System/Library/CoreServices/Finder?.app/Contents/PlugIns/ATVFiles.frappliance/Contents/Frameworks/AGRegex.framework/Versions/A/AGRegex 0xcde1000 - 0xce08fff com.apple.frontrow.appliance.net.ericiii.ATVFiles 1.1.1 (444) /System/Library/CoreServices/Finder?.app/Contents/PlugIns/ATVFiles.frappliance/Contents/MacOS/ATVFiles 0xd62e000 - 0xd63efff com.apple.frontrow.appliance.awkwardtv.CouchSurfer? 4 (0.4) /System/Library/CoreServices/Finder?.app/Contents/PlugIns/CouchSurfer.frappliance/Contents/MacOS/CouchSurfer 0xd836000 - 0xd83efff libmcupnp.dylib /usr/local/lib/libmcupnp.dylib 0xd851000 - 0xd85bfff com.apple.frontrow.appliance.movies 3.1 /System/Library/CoreServices/Finder?.app/Contents/PlugIns/Movies.frappliance/Contents/MacOS/Movies 0xd865000 - 0xd874fff com.apple.frontrow.appliance.music 3.1 /System/Library/CoreServices/Finder?.app/Contents/PlugIns/Music.frappliance/Contents/MacOS/Music 0xd88a000 - 0xd900fff com.apple.frontrow.appliance.awkwardtv.nitoTV2 567 (0.4.8) /System/Library/CoreServices/Finder?.app/Contents/PlugIns/nitoTV.frappliance/Contents/MacOS/nitoTV2 0xd9e0000 - 0xd9e2fff com.apple.frontrow.appliance.photos 3.1 /System/Library/CoreServices/Finder?.app/Contents/PlugIns/Photos.frappliance/Contents/MacOS/Photos 0xd9e7000 - 0xd9e8fff com.apple.frontrow.appliance.podcast 3.1 /System/Library/CoreServices/Finder?.app/Contents/PlugIns/Podcasts.frappliance/Contents/MacOS/Podcasts 0xdb79000 - 0xdbabfff com.apple.frontrow.appliance.Sapphire ??? (1.0b6.3 (645)) /System/Library/CoreServices/Finder?.app/Contents/PlugIns/Sapphire.frappliance/Contents/MacOS/Sapphire 0xdd45000 - 0xdd4afff com.apple.frontrow.appliance.tv 3.1 /System/Library/CoreServices/Finder?.app/Contents/PlugIns/TV.frappliance/Contents/MacOS/TV 0xdf05000 - 0xdf22fff com.apple.frontrow.appliance.settings 3.1 /System/Library/CoreServices/Finder?.app/Contents/PlugIns/Settings.frappliance/Contents/MacOS/Settings 0xdf38000 - 0xdf5cfff com.apple.frontrow.appliance.yt 3.1 /System/Library/CoreServices/Finder?.app/Contents/PlugIns/YT.frappliance/Contents/MacOS/YT

0x70000000 - 0x700fbfff com.apple.audio.units.Components 1.4.7 /System/Library/Components/CoreAudio?.component/Contents/MacOS/CoreAudio 0x8f7fc000 - 0x8fb79fff QuickTimeH264.scalar /System/Library/QuickTime?/QuickTimeH264.component/Contents/Resources/QuickTimeH264.scalar 0x8fbea000 - 0x8fc5afff com.apple.QuickTimeH264.component 7.1.8 /System/Library/QuickTime?/QuickTimeH264.component/Contents/MacOS/QuickTimeH264 0x8fd99000 - 0x8fdd5fff com.apple.QTKit 7.1.8 /System/Library/Frameworks?/QTKit.framework/Versions/A/QTKit 0x8fe00000 - 0x8fe49fff dyld 46.9 /usr/lib/dyld 0x90000000 - 0x90170fff libSystem.B.dylib /usr/lib/libSystem.B.dylib 0x901c0000 - 0x901c2fff libmathCommon.A.dylib /usr/lib/system/libmathCommon.A.dylib 0x901c4000 - 0x90201fff com.apple.CoreText? 1.1.1 (???) /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText 0x90228000 - 0x902fefff ATS /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS 0x9031e000 - 0x907dcfff com.apple.CoreGraphics? 1.258.74 (???) /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics 0x90874000 - 0x9093dfff com.apple.CoreFoundation? 6.4.10 (369.13) /System/Library/Frameworks/CoreFoundation?.framework/Versions/A/CoreFoundation 0x9097b000 - 0x9097bfff com.apple.CoreServices? 10.4 (???) /System/Library/Frameworks/CoreServices?.framework/Versions/A/CoreServices 0x9097d000 - 0x90a71fff libicucore.A.dylib /usr/lib/libicucore.A.dylib 0x90ac1000 - 0x90b40fff libobjc.A.dylib /usr/lib/libobjc.A.dylib 0x90b69000 - 0x90bcdfff libstdc++.6.dylib /usr/lib/libstdc++.6.dylib 0x90c3c000 - 0x90c43fff libgcc_s.1.dylib /usr/lib/libgcc_s.1.dylib 0x90c48000 - 0x90cbbfff com.apple.framework.IOKit 1.4.7 (???) /System/Library/Frameworks?/IOKit.framework/Versions/A/IOKit 0x90cd0000 - 0x90ce2fff libauto.dylib /usr/lib/libauto.dylib 0x90ce8000 - 0x90f90fff com.apple.CoreServices?.CarbonCore? 682.14.1 (682.14.2) /System/Library/Frameworks/CoreServices?.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore 0x90fd4000 - 0x9103cfff com.apple.CoreServices?.OSServices 4.1 /System/Library/Frameworks/CoreServices?.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices 0x91075000 - 0x910b4fff com.apple.CFNetwork 250 /System/Library/Frameworks/CoreServices?.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork 0x910c7000 - 0x910d7fff com.apple.WebServices? 1.1.3 (1.1.0) /System/Library/Frameworks/CoreServices?.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore 0x910e2000 - 0x910e2fff SearchKit? /System/Library/Frameworks/CoreServices?.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit 0x910e7000 - 0x910e7fff Metadata /System/Library/Frameworks/CoreServices?.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata 0x910ec000 - 0x910fafff libz.1.dylib /usr/lib/libz.1.dylib 0x910fd000 - 0x9129cfff com.apple.security 4.5.1 (29002) /System/Library/Frameworks/Security?.framework/Versions/A/Security 0x9139a000 - 0x913a2fff com.apple.DiskArbitration? 2.1.1 /System/Library/Frameworks/DiskArbitration?.framework/Versions/A/DiskArbitration 0x913a9000 - 0x913d0fff com.apple.SystemConfiguration? 1.8.7 /System/Library/Frameworks/SystemConfiguration?.framework/Versions/A/SystemConfiguration 0x913e2000 - 0x913e9fff libbsm.dylib /usr/lib/libbsm.dylib 0x913ed000 - 0x91467fff com.apple.audio.CoreAudio? 3.0.5 /System/Library/Frameworks/CoreAudio?.framework/Versions/A/CoreAudio 0x914b8000 - 0x914b8fff com.apple.ApplicationServices? 10.4 (???) /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/ApplicationServices 0x914ba000 - 0x914e6fff com.apple.AE 314 (313) /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE 0x914f9000 - 0x915cdfff com.apple.ColorSync? 4.4.10 /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync 0x91608000 - 0x91608fff PrintCore? /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore 0x91614000 - 0x916bdfff com.apple.QD 3.10.20 (???) /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD 0x916e3000 - 0x9172efff com.apple.HIServices 1.5.2 (???) /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices 0x9174d000 - 0x9174dfff LangAnalysis? /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis 0x91750000 - 0x91750fff FindByContent? /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent 0x91753000 - 0x91791fff com.apple.LaunchServices? 181 /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices 0x917a5000 - 0x917a5fff SpeechSynthesis? /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis 0x917a7000 - 0x917e0fff com.apple.ImageIO.framework 1.4.8 /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO 0x917f2000 - 0x918a4fff libcrypto.0.9.7.dylib /usr/lib/libcrypto.0.9.7.dylib 0x918ea000 - 0x918eafff libcups.2.dylib /usr/lib/libcups.2.dylib 0x918ed000 - 0x91909fff libJPEG.dylib /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib 0x9190e000 - 0x9196cfff libJP2.dylib /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib 0x9197e000 - 0x91982fff libGIF.dylib /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib 0x91984000 - 0x919dffff libRaw.dylib /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib 0x919e3000 - 0x91a20fff libTIFF.dylib /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib 0x91a26000 - 0x91a40fff libPng.dylib /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib 0x91a45000 - 0x91a47fff libRadiance.dylib /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib 0x91a49000 - 0x91a49fff com.apple.Accelerate 1.3 (Accelerate 1.3) /System/Library/Frameworks/Accelerate?.framework/Versions/A/Accelerate 0x91a4b000 - 0x91af9fff com.apple.vImage 2.5 /System/Library/Frameworks/Accelerate?.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage 0x91b02000 - 0x91b02fff com.apple.Accelerate.vecLib 3.3 (vecLib 3.3) /System/Library/Frameworks/Accelerate?.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib 0x91b04000 - 0x91b5dfff libvMisc.dylib /System/Library/Frameworks/Accelerate?.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib 0x91b66000 - 0x91b8afff libvDSP.dylib /System/Library/Frameworks/Accelerate?.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib 0x91b92000 - 0x91fdcfff libBLAS.dylib /System/Library/Frameworks/Accelerate?.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib 0x92029000 - 0x923ddfff libLAPACK.dylib /System/Library/Frameworks/Accelerate?.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib 0x9240a000 - 0x92487fff com.apple.DesktopServices? 1.3.4 /System/Library/PrivateFrameworks/DesktopServicesPriv?.framework/Versions/A/DesktopServicesPriv 0x924c8000 - 0x926f9fff com.apple.Foundation 6.4.8 (567.31) /System/Library/Frameworks/Foundation?.framework/Versions/C/Foundation 0x92805000 - 0x928e3fff libxml2.2.dylib /usr/lib/libxml2.2.dylib 0x92900000 - 0x929edfff libiconv.2.dylib /usr/lib/libiconv.2.dylib 0x929ef000 - 0x929f9fff com.apple.framework.AppleTalk? 1.2.0 (???) /System/Library/Frameworks/AppleTalk?.framework/Versions/A/AppleTalk 0x929fd000 - 0x92a14fff libGL.dylib /System/Library/Frameworks?/OpenGL.framework/Versions/A/Libraries/libGL.dylib 0x92a1f000 - 0x92a77fff libGLU.dylib /System/Library/Frameworks?/OpenGL.framework/Versions/A/Libraries/libGLU.dylib 0x92a8b000 - 0x92a8bfff com.apple.Carbon 10.4 (???) /System/Library/Frameworks/Carbon?.framework/Versions/A/Carbon 0x92a8d000 - 0x92a8dfff ImageCapture? /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture 0x92a90000 - 0x92a90fff SpeechRecognition? /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition 0x92a93000 - 0x92a99fff com.apple.securityhi 2.0.1 (24742) /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI 0x92a9f000 - 0x92a9ffff Ink /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink 0x92aa4000 - 0x92aa4fff Help /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help 0x92aa6000 - 0x92ac4fff com.apple.openscripting 1.2.5 (???) /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting 0x92ad6000 - 0x92ad6fff Print /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print 0x92ad8000 - 0x92b3bfff com.apple.htmlrendering 66.1 (1.1.3) /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering 0x92b62000 - 0x92ba3fff com.apple.NavigationServices? 3.4.4 (3.4.3) /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices 0x92bca000 - 0x92bd8fff com.apple.audio.SoundManager? 3.9.1 /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound 0x92bdf000 - 0x92be4fff com.apple.CommonPanels? 1.2.3 (73) /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels 0x92be9000 - 0x92eddfff com.apple.HIToolbox 1.4.8 (???) /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox 0x92fe3000 - 0x92feffff com.apple.opengl 1.4.14 /System/Library/Frameworks?/OpenGL.framework/Versions/A/OpenGL 0x93023000 - 0x93055fff com.apple.MediaKit? 8.7.1 (351.2) /System/Library/PrivateFrameworks/MediaKit?.framework/Versions/A/MediaKit 0x9307f000 - 0x9307ffff com.apple.Cocoa 6.4 (???) /System/Library/Frameworks/Cocoa?.framework/Versions/A/Cocoa 0x93081000 - 0x93738fff com.apple.AppKit? 6.4.8 (824.42) /System/Library/Frameworks/AppKit?.framework/Versions/C/AppKit 0x93ab9000 - 0x93b32fff com.apple.CoreData 90 /System/Library/Frameworks/CoreData?.framework/Versions/A/CoreData 0x93b6b000 - 0x93c25fff com.apple.audio.toolbox.AudioToolbox? 1.4.7 /System/Library/Frameworks/AudioToolbox?.framework/Versions/A/AudioToolbox 0x93c68000 - 0x93c68fff com.apple.audio.units.AudioUnit? 1.4.4 /System/Library/Frameworks/AudioUnit?.framework/Versions/A/AudioUnit 0x93c6a000 - 0x93fe1fff com.apple.QuartzCore? 1.5.2 /System/Library/Frameworks/QuartzCore?.framework/Versions/A/QuartzCore 0x94082000 - 0x940c3fff libsqlite3.0.dylib /usr/lib/libsqlite3.0.dylib 0x940cb000 - 0x94105fff libGLImage.dylib /System/Library/Frameworks?/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib 0x941bd000 - 0x941fbfff com.apple.vmutils 4.0.2 (93.1) /System/Library/PrivateFrameworks?/vmutils.framework/Versions/A/vmutils 0x9423f000 - 0x94250fff com.apple.securityfoundation 2.2.1 (28150) /System/Library/Frameworks/SecurityFoundation?.framework/Versions/A/SecurityFoundation 0x942b8000 - 0x942c7fff libCGATS.A.dylib /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib 0x942ce000 - 0x942d9fff libCSync.A.dylib /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib 0x94326000 - 0x94340fff libRIP.A.dylib /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib 0x94346000 - 0x94605fff com.apple.QuickTime? 7.1.8 /System/Library/Frameworks/QuickTime?.framework/Versions/A/QuickTime 0x947c0000 - 0x947e5fff libssl.0.9.7.dylib /usr/lib/libssl.0.9.7.dylib 0x947f1000 - 0x9480efff libresolv.9.dylib /usr/lib/libresolv.9.dylib 0x9482a000 - 0x9482bfff DiscRecordingEngine? /System/Library/Frameworks/DiscRecording?.framework/Versions/A/Frameworks/DiscRecordingEngine.framework/Versions/A/DiscRecordingEngine 0x94880000 - 0x9489ffff com.apple.DiskManagement? 1.11 (92.29) /System/Library/PrivateFrameworks/DiskManagement?.framework/Versions/A/DiskManagement 0x94d5f000 - 0x94df1fff com.apple.WebKit? 418.8 /System/Library/Frameworks/WebKit?.framework/Versions/A/WebKit 0x94e4b000 - 0x94ecdfff com.apple.JavaScriptCore? 418.3 /System/Library/Frameworks/WebKit?.framework/Versions/A/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore 0x94f06000 - 0x951e5fff com.apple.WebCore? 418.22.2 /System/Library/Frameworks/WebKit?.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore 0x95364000 - 0x95387fff libxslt.1.dylib /usr/lib/libxslt.1.dylib 0x959fc000 - 0x959fefff com.apple.ExceptionHandling? 1.2 (???) /System/Library/Frameworks/ExceptionHandling?.framework/Versions/A/ExceptionHandling 0x95a01000 - 0x95a39fff com.apple.PDFKit 1.0.2 /System/Library/Frameworks/Quartz?.framework/Versions/A/Frameworks/PDFKit.framework/Versions/A/PDFKit 0x95eb0000 - 0x95ee3fff libtidy.A.dylib /usr/lib/libtidy.A.dylib 0x96826000 - 0x96826fff com.apple.vecLib 3.3 (vecLib 3.3) /System/Library/Frameworks?/vecLib.framework/Versions/A/vecLib 0x96a19000 - 0x96af0fff libGLProgrammability.dylib /System/Library/Frameworks?/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib 0x96b0b000 - 0x96b0cfff libGLSystem.dylib /System/Library/Frameworks?/OpenGL.framework/Versions/A/Libraries/libGLSystem.dylib 0x96b0e000 - 0x96b13fff com.apple.agl 2.5.9 (AGL-2.5.9) /System/Library/Frameworks?/AGL.framework/Versions/A/AGL 0x9706b000 - 0x97142fff com.apple.QuartzComposer? 1.2.3 (32.21) /System/Library/Frameworks/Quartz?.framework/Versions/A/Frameworks/QuartzComposer.framework/Versions/A/QuartzComposer 0x971cb000 - 0x971cbfff com.apple.quartzframework 1.0 /System/Library/Frameworks/Quartz?.framework/Versions/A/Quartz 0x97729000 - 0x9778bfff com.apple.ISSupport 1.6 (32) /System/Library/PrivateFrameworks?/ISSupport.framework/Versions/A/ISSupport 0x977c7000 - 0x977dbfff com.apple.AppleShareClient? 1.5.1 /System/Library/Frameworks/AppleShareClient?.framework/AppleShareClient 0x977e9000 - 0x97828fff com.apple.AppleShareClientCore? 1.5.1 /System/Library/Frameworks/AppleShareClientCore?.framework/Versions/A/AppleShareClientCore 0x97f37000 - 0x98c65fff com.apple.QuickTimeComponents?.component 7.1.8 /System/Library/QuickTime/QuickTimeComponents?.component/Contents/MacOS/QuickTimeComponents 0x98ddd000 - 0x98ec2fff com.apple.QuickTimeStreaming?.component 7.1.8 /System/Library/QuickTime/QuickTimeStreaming?.component/Contents/MacOS/QuickTimeStreaming 0x9e1d2000 - 0x9e1fffff com.apple.iPhotoAccessFramework 2.0.1 /System/Library/PrivateFrameworks?/iPhotoAccess.framework/Versions/A/iPhotoAccess 0x9e22a000 - 0x9e240fff com.apple.CoreVideo? 1.5.0 /System/Library/Frameworks/CoreVideo?.framework/Versions/A/CoreVideo 0x9e258000 - 0x9e2e2fff com.apple.frontrow.appletv 2.1 /System/Library/PrivateFrameworks?/AppleTV.framework/Versions/A/AppleTV 0x9e334000 - 0x9e460fff com.apple.frontrow.backrow 3.1 /System/Library/PrivateFrameworks/BackRow?.framework/Versions/A/BackRow 0x9e514000 - 0x9e520fff com.apple.frontrow.backrowfoundation 3.1 /System/Library/PrivateFrameworks/BackRow?.framework/Versions/A/Frameworks/BackRowFoundation.framework/Versions/A/BackRowFoundation 0x9e52b000 - 0x9e535fff com.apple.frontrow.backrowhardware 3.1 /System/Library/PrivateFrameworks/BackRow?.framework/Versions/A/Frameworks/BackRowHardware.framework/Versions/A/BackRowHardware 0x9fef4000 - 0x9ffccfff edu.mit.Kerberos 5.5.23 /System/Library/Frameworks/Kerberos?.framework/Versions/A/Kerberos

Host Name: AppleTV Date/Time?: 2008-08-15 21:29:54.950 +0000 OS Version: 10.4.7 (Build 8N5519) Report Version: 4

Command: ImportHelper? Path: /System/Library/CoreServices/Finder?.app/Contents/PlugIns/Sapphire.frappliance/Contents/Resources/ImportHelper Parent: Finder [194]

Version: 2.1 (2.1)

PID: 212 Thread: Unknown

Link (dyld) error:

no suitable image found. Did find:

/System/Library/CoreServices/Finder?.app/Contents/PlugIns/Sapphire.frappliance/Contents/Frameworks/SapphireCompatClasses.framework/SapphireCompatClasses: file to short

Host Name: AppleTV Date/Time?: 2008-08-15 22:13:24.223 +0000 OS Version: 10.4.7 (Build 8N5519) Report Version: 4

Command: ImportHelper? Path: /System/Library/CoreServices/Finder?.app/Contents/PlugIns/Sapphire.frappliance/Contents/Resources/ImportHelper Parent: Finder [110]

Version: 2.1 (2.1)

PID: 183 Thread: Unknown

Link (dyld) error:

no suitable image found. Did find:

/System/Library/CoreServices/Finder?.app/Contents/PlugIns/Sapphire.frappliance/Contents/Frameworks/SapphireCompatClasses.framework/SapphireCompatClasses: file to short

Host Name: AppleTV Date/Time?: 2008-08-15 23:31:54.455 +0000 OS Version: 10.4.7 (Build 8N5519) Report Version: 4

Command: ImportHelper? Path: /System/Library/CoreServices/Finder?.app/Contents/PlugIns/Sapphire.frappliance/Contents/Resources/ImportHelper Parent: Finder [114]

Version: 2.1 (2.1)

PID: 185 Thread: Unknown

Link (dyld) error:

no suitable image found. Did find:

/System/Library/CoreServices/Finder?.app/Contents/PlugIns/Sapphire.frappliance/Contents/Frameworks/SapphireCompatClasses.framework/SapphireCompatClasses: file to short

Host Name: AppleTV Date/Time?: 2008-08-16 19:42:14.521 +0000 OS Version: 10.4.7 (Build 8N5519) Report Version: 4

Command: ImportHelper? Path: /System/Library/CoreServices/Finder?.app/Contents/PlugIns/Sapphire.frappliance/Contents/Resources/ImportHelper Parent: Finder [114]

Version: 2.1 (2.1)

PID: 186 Thread: Unknown

Link (dyld) error:

no suitable image found. Did find:

/System/Library/CoreServices/Finder?.app/Contents/PlugIns/Sapphire.frappliance/Contents/Frameworks/SapphireCompatClasses.framework/SapphireCompatClasses: file to short

Host Name: AppleTV Date/Time?: 2008-08-18 10:25:42.944 +0000 OS Version: 10.4.7 (Build 8N5519) Report Version: 4

Command: ImportHelper? Path: /System/Library/CoreServices/Finder?.app/Contents/PlugIns/Sapphire.frappliance/Contents/Resources/ImportHelper Parent: Finder [110]

Version: 2.1 (2.1)

PID: 183 Thread: Unknown

Link (dyld) error:

no suitable image found. Did find:

/System/Library/CoreServices/Finder?.app/Contents/PlugIns/Sapphire.frappliance/Contents/Frameworks/SapphireCompatClasses.framework/SapphireCompatClasses: file to short

comment:6 follow-up: ↓ 7 Changed 6 years ago by gbooker

/System/Library/CoreServices/Finder?.app/Contents/PlugIns/Sapphire.frappliance/Contents/Frameworks/SapphireCompatClasses.framework/SapphireCompatClasses: file to short

You have a corrupt install. Re-download and install: http://appletv.nanopi.net/sapphire-browser-downloads/ Where did you get your current install?

Also, the crash log is nito crashing.

comment:7 in reply to: ↑ 6 ; follow-up: ↓ 8 Changed 6 years ago by anonymous

Replying to gbooker:

/System/Library/CoreServices/Finder?.app/Contents/PlugIns/Sapphire.frappliance/Contents/Frameworks/SapphireCompatClasses.framework/SapphireCompatClasses: file to short

You have a corrupt install. Re-download and install: http://appletv.nanopi.net/sapphire-browser-downloads/ Where did you get your current install?

Also, the crash log is nito crashing.

I reinstalled and still same problem.......

comment:8 in reply to: ↑ 7 Changed 6 years ago by anonymous

Replying to anonymous:

Replying to gbooker:

/System/Library/CoreServices/Finder?.app/Contents/PlugIns/Sapphire.frappliance/Contents/Frameworks/SapphireCompatClasses.framework/SapphireCompatClasses: file to short

You have a corrupt install. Re-download and install: http://appletv.nanopi.net/sapphire-browser-downloads/ Where did you get your current install?

Also, the crash log is nito crashing.

I reinstalled and still same problem.......

I found a way to get it to work but after the title of the movie it says - null

comment:9 Changed 6 years ago by gbooker

  • Status changed from new to closed
  • Resolution set to worksforme
Note: See TracTickets for help on using tickets.